---
id: InventoryService
version: 0.0.1
name: Inventory Service
summary: |
  Service that handles the inventory
owners:
  - dboyne
  - full-stack
  - mobile-devs
receives:
  - id: OrderConfirmed
    version: 0.0.1
    from:
      - id: 'orders.{env}.events'
  - id: OrderCancelled
    version: 0.0.1
    from:
      - id: 'orders.{env}.events'
  - id: OrderAmended
    version: 0.0.1
    from:
      - id: 'orders.{env}.events'
        parameters:
          env: staging
  - id: UpdateInventory
    version: 0.0.3
    from:
      - id: 'inventory.{env}.events'
        parameters:
          env: staging
sends:
  - id: InventoryAdjusted
    version: 1.0.1
    to:
      - id: 'inventory.{env}.events'
  - id: OutOfStock
    version: 0.0.4
    to:
      - id: 'inventory.{env}.events'
repository:
  language: JavaScript
  url: 'https://github.com/event-catalog/pretend-shipping-service'
---

## Overview

The Inventory Service is a critical component of the system responsible for managing product stock levels, tracking inventory movements, and ensuring product availability. It interacts with other services to maintain accurate inventory records and supports operations such as order fulfillment, restocking, and inventory audits.

## Architecture diagram

<NodeGraph title="Hello world" />
